## kickoff 0.1.1

=== Makefile ===
clean:
	cabal clean

## kickoff 0.1.0

=== debian/changelog ===
kickoff (0.1.0) unstable; urgency=medium

  * Initial release. (Closes: #1003751)

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 15 Jan 2022 20:29:57 -0800

=== debian/control ===
Source: kickoff
Section: devel
Priority: optional
Maintainer: Felix Lechner <felix.lechner@lease-up.com>
Build-Depends:
 cabal-install,
 cdbs,
 debhelper (>= 13),
 ghc,
 haskell-devscripts,
 libghc-aeson-dev,
 libghc-aeson-prof,
 libghc-aeson-pretty-dev,
 libghc-aeson-pretty-prof,
 libghc-exceptions-dev,
 libghc-exceptions-prof,
 libghc-iso8601-time-dev,
 libghc-iso8601-time-prof,
 libghc-lzma-dev,
 libghc-lzma-prof,
 libghc-monad-loops-dev,
 libghc-monad-loops-prof,
 libghc-process-extras-dev,
 libghc-process-extras-prof,
 libghc-temporary-dev,
 libghc-temporary-prof,
 libghc-utf8-string-dev,
 libghc-utf8-string-prof,
 libghc-yaml-dev,
 libghc-yaml-prof,
 libghc-zeromq4-haskell-dev,
 libghc-zeromq4-haskell-prof,
 liblzma-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/lintian/kickoff.git
Vcs-Browser: https://salsa.debian.org/lintian/kickoff
Homepage: https://lintian.debian.org/

Package: kickoff
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: Generalized job scheduler with runners for the Debian archive
 A generalized framework for producing data from and about sources and
 installables in the Debian archive.
 .
 The components communicate data via the JSON and Protocol Buffer formats
 over fast and versatile ZeroMQ sockets.
 .
 These programs generate the data behind lintian.debian.org.
 .
 Configurable via YAML files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/hlibrary.mk

install/kickoff:: debian/tmp-inst-ghc
	mkdir -p debian/kickoff/usr/bin
	cp -av debian/tmp-inst-ghc/usr/bin/* debian/kickoff/usr/bin

## kickoff 0.1.1~bpo11+1

=== debian/changelog ===
kickoff (0.1.1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 07 Mar 2022 04:20:43 -0800

kickoff (0.1.1) unstable; urgency=medium

  * Add command-line processing so configuration files can be passed with -c.
  * Switch to dh-haskell's dh sequencer.
  * Drop d/compat and use versioned debhelper-compat in Build-Depends instead.
  * Allow pattern selection on source names when scheduling runs.
  * Rename blacklist to block list in config file.

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 27 Feb 2022 15:15:15 -0800

## kickoff 0.1.1

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
  cabal-install,
- cdbs,
- debhelper (>= 13),
+ debhelper-compat (= 10),
+ dh-sequence-haskell,
  ghc,
- haskell-devscripts,
  libghc-aeson-dev,
  libghc-aeson-prof,
  libghc-aeson-pretty-dev,
@@ -20,6 +19,8 @@
  libghc-lzma-prof,
  libghc-monad-loops-dev,
  libghc-monad-loops-prof,
+ libghc-optparse-applicative-dev,
+ libghc-optparse-applicative-prof,
  libghc-process-extras-dev,
  libghc-process-extras-prof,
  libghc-temporary-dev,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=haskell

## kickoff 0.1.1+nmu1

=== debian/changelog ===
kickoff (0.1.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build again with revived dh-haskell (Closes: #1091059)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 20 Oct 2025 19:33:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
  cabal-install,
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-sequence-haskell,
  ghc,
  libghc-aeson-dev,
@@ -32,8 +32,7 @@
  libghc-zeromq4-haskell-dev,
  libghc-zeromq4-haskell-prof,
  liblzma-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/lintian/kickoff.git
 Vcs-Browser: https://salsa.debian.org/lintian/kickoff
 Homepage: https://lintian.debian.org/
